safe-compare vulnerabilities

Constant-time comparison algorithm to prevent timing attacks.

Latest version 1.1.4
First published 4 years ago
Latest version published 7 months ago

Licenses detected

  • license: MIT >=0
Continuously find & fix vulnerabilities like these in your dependencies. Test and protect your applications

Direct Vulnerabilities

Known vulnerabilities in the safe-compare package. This does not include vulnerabilities belonging to this package’s dependencies.

Vulnerability Vulnerable versions Snyk patch Published
  • L
Timing Attack
>=1.0.4 <1.1.4 Not available 01 Mar, 2019
  • M
Insecure Credential Comparison
>=1.1.0 <1.1.2 Not available 17 Apr, 2018
  • M
Insecure Credential Comparison
<1.1.1 Not available 14 Feb, 2018
Versions
Version Published Licenses Direct Vulnerabilities
safe-compare 1.1.4 Latest 01 Mar, 2019 MIT
  • 0 H
  • 0 M
  • 0 L
safe-compare 1.1.3 Deprecated 02 Nov, 2018 MIT
  • 0 H
  • 0 M
  • 1 L
safe-compare 1.1.2 Deprecated 28 Feb, 2018 MIT
  • 0 H
  • 0 M
  • 1 L
safe-compare 1.1.1 Deprecated 11 Feb, 2018 MIT
  • 0 H
  • 1 M
  • 1 L
safe-compare 1.1.0 Deprecated 17 Nov, 2017 MIT
  • 0 H
  • 2 M
  • 1 L
safe-compare 1.0.3 Deprecated 12 Jul, 2016 MIT
  • 0 H
  • 1 M
  • 0 L
safe-compare 1.0.2 Deprecated 15 Mar, 2016 MIT
  • 0 H
  • 1 M
  • 0 L
safe-compare 1.0.1 Deprecated 24 Feb, 2016 MIT
  • 0 H
  • 1 M
  • 0 L
safe-compare 1.0.0 Deprecated 24 Feb, 2016 MIT
  • 0 H
  • 1 M
  • 0 L